Get tax profile
curl --request GET \
--url https://sandbox.tight.com/v6/taxes/setup \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.tight.com/v6/taxes/setup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.tight.com/v6/taxes/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"countryCode": "USA",
"state": "DC",
"filingStatus": {
"federal": "SINGLE",
"state": "SINGLE"
},
"annualW2Income": 1000000,
"withholding": {
"useWithholding": true,
"federalWithholding": 100051,
"stateWithholding": 100051
},
"numExemptions": 1,
"tipIncome": 500000,
"overtimeIncome": 300000,
"homeOffice": {
"useHomeOfficeDeduction": true,
"homeOfficeArea": 250.5
},
"mileage": {
"useEstimate": true,
"estimate": 1000,
"useMileageDeduction": false,
"vehicleBusinessPercent": "49.9"
},
"expenses": {
"useEstimate": true,
"estimate": 55176
},
"income": {
"useEstimate": true,
"estimate": 55176
},
"isSetupComplete": true
}
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Taxes
Get tax profile
Get the authenticated user’s tax profile configuration
GET
/
v6
/
taxes
/
setup
Get tax profile
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
⌘I